%define develname %mklibname %name -d

Name:		kmediafactory
Version:	0.8.0
Release:	%mkrel 3
URL:		http://code.google.com/p/kmediafactory/
Source0:	http://kmediafactory.googlecode.com/files/%{name}-%{version}.tar.bz2
Patch0:		kmediafactory-0.8.0-r610.patch
Patch1:		kmediafactory-0.8.0-fix-docbook.patch
License:	GPLv2+
Group:		Publishing
Summary:	DVD menu generator
BuildRequires:	kdelibs4-devel
BuildRequires:	fontconfig-devel
BuildRequires:	phonon-devel
BuildRequires:	gettext
BuildRequires:	zip
BuildRequires:	dvdauthor
BuildRequires:	ffmpeg
BuildRequires:	mjpegtools
BuildRequires:	libdvdread-devel
BuildRequires:	dvd-slideshow
BuildRequires:	k3b
BuildRequires:	xine-ui
BuildRequires:	ghostscript
BuildRequires:	libkexiv2-devel
BuildRequires: docbook-dtd42-xml
BuildRequires: docbook-style-xsl
Requires:	zip
Requires:	dvdauthor
Requires:	ffmpeg
Requires:	mjpegtools
Requires:	dvd-slideshow
Requires:	k3b
Requires:	xine-ui
Obsoletes:      kde4-%name < 0.6.0-4
Provides:       kde4-%name = %version-%release

%description
KMediaFactory is an easy to use template based dvd authoring tool.
You can quickly create DVD menus for home videos and TV recordings
in three simple steps. 

%files -f %{name}.lang
%defattr(-,root,root)
%{_kde_bindir}/*
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_datadir}/config/*
%{_kde_datadir}/config.kcfg/*
%{_kde_datadir}/apps/kmediafactory*
%{_kde_datadir}/apps/kmfwidgets
%{_kde_datadir}/icons/*/*/*/*
%{_kde_datadir}/kde4/services/*
%{_kde_datadir}/kde4/servicetypes/*
%{_kde_datadir}/mime/packages/kmediafactory.xml
%{_kde_libdir}/kde4/*

#--------------------------------------------------------------------

%define kmediafactorykstore_major 0
%define libkmediafactorykstore %mklibname kmediafactorykstore %{kmediafactorykstore_major}

%package -n %libkmediafactorykstore
Summary:    %name library
Group:      System/Libraries
Obsoletes:  %{mklibname kde4-kmediafactory 0}

%description -n %libkmediafactorykstore
%name library.

%files -n %libkmediafactorykstore
%defattr(-,root,root,-)
%_kde_libdir/libkmediafactorykstore.so.%{kmediafactorykstore_major}*

#--------------------------------------------------------------------

%define kmf_major 0
%define libkmf %mklibname kmf %{kmf_major}

%package -n %libkmf
Summary: %name library
Group: System/Libraries
Obsoletes:  %{mklibname kde4-kmediafactory 0}

%description -n %libkmf
%name library.

%files -n %libkmf
%defattr(-,root,root,-)
%_kde_libdir/libkmf.so.%{kmf_major}*

#--------------------------------------------------------------------

%define kmediafactoryinterfaces_major 0
%define libkmediafactoryinterfaces %mklibname kmediafactoryinterfaces %{kmediafactoryinterfaces_major}

%package -n %libkmediafactoryinterfaces
Summary: %name library
Group: System/Libraries
Obsoletes:  %{mklibname kde4-kmediafactory 0}

%description -n %libkmediafactoryinterfaces
%name library.

%files -n %libkmediafactoryinterfaces
%defattr(-,root,root,-)
%_kde_libdir/libkmediafactoryinterfaces.so.%{kmediafactoryinterfaces_major}*

#--------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/C++
Requires:	%{libkmediafactoryinterfaces} = %{version}
Requires:       %{libkmf} = %{version}
Requires:       %{libkmediafactorykstore} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %name 0
Obsoletes:	%mklibname kde4-kmediafactory -d

%description -n	%{develname}
Development libraries and headers for %{name}.

%files -n %{develname}
%defattr(-,root,root)
%{_kde_includedir}/%{name}
%{_kde_libdir}/lib*.so

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p0
%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

desktop-file-install --vendor='' \
	--dir=%buildroot%{_kde_datadir}/applications/kde4 \
	--remove-key='Encoding' \
	--remove-category='Application' \
	--add-category='Qt;AudioVideoEditing' \
	%buildroot%{_kde_datadir}/applications/kde4/*.desktop

%find_lang %{name} --all-name --with-html

%clean
rm -rf %{buildroot}




%changelog
* Wed Jul 06 2011 mikala <mikala> 0.8.0-3.mga2
+ Revision: 119419
- Fix  BuildRequires (remove kdegraphics4-devel & add libkexiv2-devel)

* Thu Mar 10 2011 mikala <mikala> 0.8.0-2.mga1
+ Revision: 67774
- Add patch1 to fix doc build
- Remove BuildRoot
- imported package kmediafactory


* Tue Apr 13 2010 Funda Wang <fwang@mandriva.org> 0.8.0-1mdv2010.1
+ Revision: 534191
- BR kdegraphis for kexiv
- build finally with upstream patch
- new version 0.8.0

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 369677
- New version 0.7.2

* Wed Mar 25 2009 Helio Chissini de Castro <helio@mandriva.com> 0.6.0-8mdv2009.1
+ Revision: 361160
- Bump to rebuild against cooker

* Sun Oct 19 2008 Funda Wang <fwang@mandriva.org> 0.6.0-7mdv2009.1
+ Revision: 295305
- rebuild for new dvdread

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-6mdv2009.0
+ Revision: 278433
- rebuild for new libdvdread

* Fri Jul 04 2008 Funda Wang <fwang@mandriva.org> 0.6.0-5mdv2009.0
+ Revision: 231506
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 15 2008 Funda Wang <fwang@mandriva.org> 0.6.0-4mdv2009.0
+ Revision: 207494
- add cmake 2.6 build patch from author
- fix obsoletes
- fix obsoletes of libname
- move back the lost package

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix Requires
    - Fix spec file to fit with kde4 policy
    - Use kde4 apps by default

* Sun Mar 09 2008 Funda Wang <fwang@mandriva.org> 0.6.0-3mdv2008.1
+ Revision: 182796
- fix desktop file path

* Sat Mar 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.6.0-2mdv2008.1
+ Revision: 182318
- Rebuild against new qt4 changes

* Thu Feb 21 2008 Funda Wang <fwang@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 173642
- clean unused %%if
- fix desktop file
- drop %%update_menus (rpmlint does not like other prefix)
- drop OOo BR
- fix file list
- Upload new version
- cp kde4 version of kmediafactory

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-8mdv2008.1
+ Revision: 146502
- rebuilt against new imagemagick libs (6.3.7)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 29 2007 Funda Wang <fwang@mandriva.org> 0.5.2-7mdv2008.1
+ Revision: 139083
- add kcfg files (maybe wrong location??)
- switch to xdg menu location
- New devel package name & license policy

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 14 2007 Antoine Ginies <aginies@mandriva.com> 0.5.2-6mdv2008.0
+ Revision: 39361
- add mandriva-create-kde-mdk-menu buildrequires

* Mon May 14 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.5.2-5mdv2008.0
+ Revision: 26718
- Rebuild with new libjasper.
- Updated URL field.


* Thu Dec 14 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.2-4mdv2007.0
+ Revision: 97052
- bump
- no openoffice.org64 on 2007

* Thu Dec 14 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.2-3mdv2007.1
+ Revision: 96879
- nail last buildrequires
- fix openoffice.org bildrequires
- fix yet another buildrequires
- I suck too hard at buildrequires
- yet another buildrequires
- fix buildrequires
- Rebuild
  fix buildrequires
- Import kmediafactory

* Fri Aug 11 2006 Antoine Ginies <aginies@mandriva.com> 0.5.2-2mdv2007.0
- rebuild for new dependencies

* Sat Jun 24 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.2-1mdv2007.0
- initial Mandriva release (club request)

